# Class Tuple<A,B>

java.lang.Object
htsjdk.samtools.util.Tuple<A,B>

Direct Known Subclasses:
  `ComparableTuple`

public class Tuple<A,B> extends Object
A simple tuple class.

## Field Summary

Fields
Modifier and Type
Field
Description
`final A`
`a`
`final B`
`b`

## Constructor Summary

Constructors
Constructor
Description
`Tuple(A a, B b)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### a

public final A a

### b

public final B b

## Constructor Details

### Tuple

public Tuple(A a, B b)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`